﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace VP_Lecture7_Ex4
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void OpenButton_Click(object sender, EventArgs e)
        {
            OpenDialogue.ShowDialog();
        }

        private void OpenDialogue_FileOk(object sender, CancelEventArgs e)
        {
            int readByte = 0;
            int byteCounter = 0;
            System.IO.FileStream file = null;

            //Clear the text box
            FilesSizesText.Clear();

            foreach (string filename in OpenDialogue.FileNames)
            {
                //Display the name of selected file
                FilesSizesText.AppendText(filename + "\t\t");

                //Calculate the size in bytes of the file
                OpenDialogue.FileName = filename;
                readByte = 0;
                byteCounter = 0;
                file = (System.IO.FileStream)OpenDialogue.OpenFile();
                do
                {
                    readByte = file.ReadByte();
                    if (readByte > -1)
                    {
                        byteCounter++;
                    }
                }
                while (readByte > -1);

                //Display the size
                FilesSizesText.AppendText(byteCounter.ToString() + "\n");

                //Close the file
                file.Close();
            }

        }
    }
}
